Bug 180505 - sysutils/syslinux: Update to version 6.01
Summary: sysutils/syslinux: Update to version 6.01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 19:10 UTC by tkato432
Modified: 2013-07-15 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (6.23 KB, patch)
2013-07-12 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-12 19:10:01 UTC
- Update to version 6.01
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 19:10:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-15 15:43:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-15 15:43:11 UTC
Author: miwi
Date: Mon Jul 15 14:42:57 2013
New Revision: 323035
URL: http://svnweb.freebsd.org/changeset/ports/323035

Log:
  - Update to 6.01
  
  PR:		180505
  Submitted by:	Ports Fury

Modified:
  head/sysutils/syslinux/Makefile
  head/sysutils/syslinux/distinfo
  head/sysutils/syslinux/files/patch-Makefile
  head/sysutils/syslinux/files/patch-mtools-Makefile   (contents, props changed)
  head/sysutils/syslinux/pkg-plist

Modified: head/sysutils/syslinux/Makefile
==============================================================================
--- head/sysutils/syslinux/Makefile	Mon Jul 15 14:38:36 2013	(r323034)
+++ head/sysutils/syslinux/Makefile	Mon Jul 15 14:42:57 2013	(r323035)
@@ -2,22 +2,23 @@
 # $FreeBSD$
 
 PORTNAME=	syslinux
-PORTVERSION=	5.01
+PORTVERSION=	6.01
 CATEGORIES=	sysutils
 MASTER_SITES=	KERNEL_ORG/linux/utils/boot/syslinux
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Boot loader for the Linux operating system
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	nasm:${PORTSDIR}/devel/nasm
 RUN_DEPENDS=	mtools:${PORTSDIR}/emulators/mtools
 
-LICENSE=	GPLv2
-
 USE_XZ=		yes
 USE_PERL5_BUILD=	yes
 USE_GMAKE=	yes
 MAKE_ARGS=	CC="${CC}"
+ALL_TARGET=	bios
 MAKE_JOBS_SAFE=	yes
 
 MAN1=		syslinux.1
@@ -28,7 +29,12 @@ MAN1=		syslinux.1
 _A =	mbr/mbr.bin mbr/gptmbr.bin \
 	core/pxelinux.0 core/isolinux.bin gpxe/gpxelinux.0 \
 	memdisk/memdisk \
-	com32/menu/*.c32 com32/modules/*.c32
+	com32/chain/*.c32 com32/cmenu/libmenu/libmenu.c32 \
+	com32/elflink/ldlinux/*.c32 com32/gfxboot/*.c32 \
+	com32/hdt/*.c32 com32/lib/*.c32 \
+	com32/lua/src/*.c32 com32/mboot/*.c32 \
+	com32/menu/*.c32 com32/modules/*.c32 \
+	com32/rosh/*.c32 com32/sysdump/*.c32
 
 # convert elf_i386 to elf_i386_fbsd
 pre-patch:
@@ -47,9 +53,9 @@ build_pkg-plist:
 	  ${ECHO_CMD} "@dirrm share/syslinux" )
 
 do-install:
-	${MKDIR} ${DATADIR}
-	( cd ${WRKSRC}; ${INSTALL_DATA} ${_A} ${DATADIR} )
-	${INSTALL_PROGRAM} ${WRKSRC}/mtools/syslinux ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/man/syslinux.1 ${MANPREFIX}/man/man1
+	(cd ${WRKSRC}/bios/mtools && ${INSTALL_PROGRAM} syslinux ${PREFIX}/bin)
+	(cd ${WRKSRC}/man && ${INSTALL_MAN} syslinux.1 ${MANPREFIX}/man/man1)
+	@${MKDIR} ${DATADIR}
+	(cd ${WRKSRC}/bios && ${INSTALL_DATA} ${_A} ${DATADIR})
 
 .include <bsd.port.post.mk>

Modified: head/sysutils/syslinux/distinfo
==============================================================================
--- head/sysutils/syslinux/distinfo	Mon Jul 15 14:38:36 2013	(r323034)
+++ head/sysutils/syslinux/distinfo	Mon Jul 15 14:42:57 2013	(r323035)
@@ -1,2 +1,2 @@
-SHA256 (syslinux-5.01.tar.xz) = 41320ae9c8211bb99b1322fdbf98a83d3bdc0f9a78291ad27f8512b12e16b411
-SIZE (syslinux-5.01.tar.xz) = 5001008
+SHA256 (syslinux-6.01.tar.xz) = abd9e83c4d8e759a801dd9195869d5407fc07234dd4c560337cca63825fb4d6f
+SIZE (syslinux-6.01.tar.xz) = 6370172

Modified: head/sysutils/syslinux/files/patch-Makefile
==============================================================================
--- head/sysutils/syslinux/files/patch-Makefile	Mon Jul 15 14:38:36 2013	(r323034)
+++ head/sysutils/syslinux/files/patch-Makefile	Mon Jul 15 14:42:57 2013	(r323035)
@@ -1,24 +1,26 @@
 --- Makefile.orig	2011-04-18 23:24:17.000000000 +0200
 +++ Makefile	2011-05-05 15:51:44.356358227 +0200
-@@ -57,18 +57,18 @@
- # Note: libinstaller is both a BSUBDIR and an ISUBDIR.  It contains
- # files that depend only on the B phase, but may have to be regenerated
- # for "make installer".
+@@ -170,19 +170,19 @@
+ 
+ else
+ 
 -BSUBDIRS = codepage com32 lzo core memdisk mbr memdump gpxe sample \
-+BSUBDIRS_ = codepage com32 lzo core memdisk mbr memdump gpxe sample \
- 	   diag libinstaller dos win32 win64 dosutil txt
+-	   diag libinstaller dos win32 win64 dosutil txt
++#BSUBDIRS = codepage com32 lzo core memdisk mbr memdump gpxe sample \
++#	   diag libinstaller dos win32 win64 dosutil txt
+ 
  ITARGET  =
  IOBJECTS = $(ITARGET) \
  	utils/gethostip utils/isohybrid utils/mkdiskimage \
  	mtools/syslinux linux/syslinux extlinux/extlinux
 -ISUBDIRS = libinstaller mtools linux extlinux utils
-+ISUBDIRS = libinstaller mtools
++ISUBDIRS = libinstaller mtools # linux extlinux utils
  
  # Things to install in /usr/bin
  INSTALL_BIN   =	mtools/syslinux
  # Things to install in /sbin
 -INSTALL_SBIN  = extlinux/extlinux
-+INSTALL_SBIN  = #extlinux/extlinux
++#INSTALL_SBIN  = extlinux/extlinux
  # Things to install in /usr/lib/syslinux
  INSTALL_AUX   =	core/pxelinux.0 gpxe/gpxelinux.0 gpxe/gpxelinuxk.0 \
  		core/isolinux.bin core/isolinux-debug.bin \

Modified: head/sysutils/syslinux/files/patch-mtools-Makefile
==============================================================================
--- head/sysutils/syslinux/files/patch-mtools-Makefile	Mon Jul 15 14:38:36 2013	(r323034)
+++ head/sysutils/syslinux/files/patch-mtools-Makefile	Mon Jul 15 14:42:57 2013	(r323035)
@@ -1,13 +1,13 @@
 --- mtools/Makefile.orig	2011-12-09 19:28:17.000000000 +0100
 +++ mtools/Makefile	2012-08-16 10:09:08.429505540 +0200
-@@ -2,9 +2,8 @@
- MAKEDIR = $(topdir)/mk
+@@ -1,8 +1,8 @@
  include $(MAKEDIR)/syslinux.mk
  
 -OPTFLAGS = -g -Os
- INCLUDES = -I. -I.. -I../libfat -I../libinstaller
++#OPTFLAGS = -g -Os
+ INCLUDES = -I$(SRC) -I$(objdir) -I$(SRC)/../libfat -I$(SRC)/../libinstaller
 -CFLAGS	 = $(GCCWARN) -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
-+CFLAGS	+= $(GCCWARN) -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
++CFLAGS	 += $(GCCWARN) -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
  LDFLAGS	 = 
  
  SRCS     = syslinux.c \

Modified: head/sysutils/syslinux/pkg-plist
==============================================================================
--- head/sysutils/syslinux/pkg-plist	Mon Jul 15 14:38:36 2013	(r323034)
+++ head/sysutils/syslinux/pkg-plist	Mon Jul 15 14:42:57 2013	(r323035)
@@ -1,16 +1,20 @@
 bin/syslinux
 %%DATADIR%%/cat.c32
+%%DATADIR%%/chain.c32
 %%DATADIR%%/cmd.c32
 %%DATADIR%%/config.c32
+%%DATADIR%%/cptime.c32
 %%DATADIR%%/cpuid.c32
 %%DATADIR%%/cpuidtest.c32
 %%DATADIR%%/disk.c32
 %%DATADIR%%/dmitest.c32
 %%DATADIR%%/elf.c32
 %%DATADIR%%/ethersel.c32
+%%DATADIR%%/gfxboot.c32
 %%DATADIR%%/gptmbr.bin
 %%DATADIR%%/gpxecmd.c32
 %%DATADIR%%/gpxelinux.0
+%%DATADIR%%/hdt.c32
 %%DATADIR%%/hexdump.c32
 %%DATADIR%%/host.c32
 %%DATADIR%%/ifcpu.c32
@@ -20,21 +24,30 @@ bin/syslinux
 %%DATADIR%%/isolinux.bin
 %%DATADIR%%/kbdmap.c32
 %%DATADIR%%/kontron_wdt.c32
+%%DATADIR%%/ldlinux.c32
+%%DATADIR%%/libcom32.c32
+%%DATADIR%%/liblua.c32
+%%DATADIR%%/libmenu.c32
 %%DATADIR%%/linux.c32
 %%DATADIR%%/ls.c32
+%%DATADIR%%/lua.c32
+%%DATADIR%%/mboot.c32
 %%DATADIR%%/mbr.bin
 %%DATADIR%%/memdisk
 %%DATADIR%%/meminfo.c32
 %%DATADIR%%/menu.c32
 %%DATADIR%%/pcitest.c32
 %%DATADIR%%/pmload.c32
+%%DATADIR%%/poweroff.c32
 %%DATADIR%%/prdhcp.c32
 %%DATADIR%%/pwd.c32
 %%DATADIR%%/pxechn.c32
 %%DATADIR%%/pxelinux.0
 %%DATADIR%%/reboot.c32
+%%DATADIR%%/rosh.c32
 %%DATADIR%%/sanboot.c32
 %%DATADIR%%/sdi.c32
+%%DATADIR%%/sysdump.c32
 %%DATADIR%%/vesainfo.c32
 %%DATADIR%%/vesamenu.c32
 %%DATADIR%%/vpdtest.c32
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"